<div>
    <mat-selection-list>
        <mat-form-field appearance="outline">
            <mat-label>Search...</mat-label>
            <input [formControl]="search" matInput>
        </mat-form-field>
        <div>
            <mat-radio-group class="example-radio-group" (change)="showUndoneOnly()">
                <mat-radio-button [checked]="!showUndone" value="false" class="">All</mat-radio-button>
                <mat-radio-button [checked]="showUndone" value="true">Undone</mat-radio-button>
            </mat-radio-group>
        </div>
        <mat-list-item *ngFor="let todo of (filteredTodo | async)" [ngClass]="{'hide': (todo.done && showUndone)}">
            <p [ngClass]="{'done': todo.done}" (click)="done(todo)">{{todo.name}}</p>
            <button mat-mini-fab (click)="deleteTodo(todo)">
                <mat-icon>delete</mat-icon>
            </button>
        </mat-list-item>
    </mat-selection-list>
    <mat-form-field appearance="outline">
        <mat-label>Add todo...</mat-label>
        <input (keyup.enter)="addNewToDo($event)" [formControl]="newTodo" matInput>
    </mat-form-field>
</div>